package com.cooleshow.teacher.contract;

import com.common.im.bean.ContactRoomListBean;
import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.TeacherSelfStyleInfoBean;
import com.cooleshow.teacher.bean.TeacherUserInfo;
import com.cooleshow.usercenter.bean.SetDetailBean;

import java.util.List;

/**
 * 创建日期：2022/5/13 14:15
 *
 * @author Ryan
 * 类说明：
 */
public interface MineStylePageContract {
    interface MineStylePageView extends BaseView {
        void getSelfStyleSuccess(TeacherSelfStyleInfoBean styleInfoBean);
        void saveTeacherStyleSuccess(TeacherSelfStyleInfoBean styleInfoBean);
        void upLoadVideoSuccess(TeacherSelfStyleInfoBean.StyleVideoBean styleVideoBean);
        void upLoadVideoFailure();

        void upLoadVideoCoverSuccess(String coverUrl);
        void upLoadVideoCoverFail();

        void upLoadImageSuccess(String avatarUrl);

        void upLoadImageFailure();

        void submitSetDetailSuccess(SetDetailBean setDetailBean);

        void getUserInfoSuccess(TeacherUserInfo data);

        void getFunGroupList(List<ContactRoomListBean> list);
    }

    interface Presenter {
        void getTeacherSelfStyle();
    }
}
